Bug 222180 - resizing gnome-terminal doesn't display size tooltip under compiz
resizing gnome-terminal doesn't display size tooltip under compiz
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
14
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
bzcl34nup
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-10 14:25 EST by Alex W. Jackson
Modified: 2012-08-16 17:41 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:40:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex W. Jackson 2007-01-10 14:25:46 EST
Description of problem:
When you resize a gnome-terminal window by dragging with the mouse, normally the
size of the terminal in characters (e.g. "80x24") appears in a tooltip-like
small window in the middle of the terminal window.  However, this window is not
displayed when compiz is the window manager.

Version-Release number of selected component (if applicable):
gnome-terminal-2.16.0-2.fc6

How reproducible:
Always

Steps to Reproduce:
1.Enable desktop effects
2.Open a gnome-terminal
3.Click and drag edge of terminal window to resize it

Actual results:
No size tooltip displayed while dragging

Expected results:
Size tooltip should be displayed just like under metacity

Additional info:
Comment 1 Joachim Frieben 2007-12-30 10:25:09 EST
This issue still affects current "rawhide":
 compiz-0.6.2-4.fc9
 gnome-terminal-2.21.4-1.fc9
Comment 2 Joachim Frieben 2008-01-03 18:51:02 EST
Interestingly, a current Ubuntu 8.04 snapshot does display the tooltip even
when desktop effects are enabled.
Comment 3 Danny Baumann 2008-03-11 07:16:35 EDT
Enable the Compiz Fusion "resizeinfo" plugin and you'll get the tooltip ;)
Comment 4 Bug Zapper 2008-04-04 01:33:30 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Joachim Frieben 2008-04-04 06:53:18 EDT
Issue still applies to current "rawhide". For a user it's far from
obvious that installing an additional package will resolve this fairly
basic issue. Either the "resize" plugin should then be moved to the
compiz base package or compiz-fusion needs to be added to comps.xml.
Apart from this aspect, the plugin works correctly, even though the
tooltip looks quite different from the standard one.
Comment 6 John Poelstra 2008-04-04 17:26:18 EDT
thank you for your update
Comment 7 Bug Zapper 2008-05-13 22:32:42 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-06-09 18:24:00 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 12:51:47 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Joachim Frieben 2009-07-14 14:01:07 EDT
Issue still present for current "rawhide". Plugin "resizeinfo" should be enabled by default. Somebody please reopen the bug and set the version to "rawhide". Thanks!
Comment 12 Bug Zapper 2009-11-16 02:53:55 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Matěj Cepl 2009-11-17 07:00:25 EST
Switching incorrect assignees to the default one.
Comment 14 Steve Rotolo 2010-08-26 09:38:12 EDT
Would someone please tell me how to enable the Compiz Fusion "resizeinfo" plugin, as a temporary work-around?  Thanks.
Comment 15 Bug Zapper 2010-11-04 08:13:14 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2010-12-05 02:17:16 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 17 Joachim Frieben 2010-12-05 12:53:48 EST
Issue still present for currently supported releases Fedora 13/14. Plugin "resizeinfo" should be enabled by default. Somebody please reopen the bug and set the version to "13". Thanks!
Comment 18 Fedora Admin XMLRPC Client 2011-06-01 16:29:55 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 19 Fedora Admin XMLRPC Client 2011-06-01 16:30:24 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 20 Fedora Admin XMLRPC Client 2011-06-01 16:31:37 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 21 Fedora Admin XMLRPC Client 2011-06-01 16:33:28 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 22 Jan Pazdziora 2011-12-31 16:41:30 EST
In Fedora 16, the compiz manager is no longer enabled via Enable desktop effects from GNOME but is a separate session login option. As such, the expectation of the defaults is definitely different -- it's no longer "it should still behave exactly like metacity", it's "yay, let's use compiz instead of the unusable GNOME default". As such, this issue seems to no longer be an issue with the current Fedora and I propose closing it as such.
Comment 23 Fedora End Of Life 2012-08-16 17:41:00 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.